Subject: [PATCH] arm: Fix build error with context tracking calls

From: [email-masked] (Kevin Hilman)
Date: Wed, 25 Sep 2013 10:38:58 -0700

Frederic Weisbecker <[email-masked]> writes:

> 2013/9/14, Russell King - ARM Linux <[email-masked]>:
>> On Fri, Sep 13, 2013 at 07:03:34PM +0200, Frederic Weisbecker wrote:
>>> diff --git a/kernel/context_tracking.c b/kernel/context_tracking.c
>>> index 247091b..859c8df 100644
>>> --- a/kernel/context_tracking.c
>>> +++ b/kernel/context_tracking.c
>>> @@ -51,6 +51,15 @@ void context_tracking_user_enter(void)
>>>  	unsigned long flags;
>>>
>>>  	/*
>>> +	 * Repeat the user_enter() check here because some archs may be calling
>>> +	 * this from asm and if no CPU needs context tracking, they shouldn't
>>> +	 * go further. We can remove that check here once these archs support
>>> the static key
>>> +	 * check.
>>
>> The only (minor) comment on this is that the above would fail checkpatch,
>> but that's not a good enough reason to respin it if you've already applied
>> it IMHO.
>>
>
> Ah I haven't yet pushed that patch anywhere so I can definetly fix
> that. Thanks for the review. BTW, I initially first thought this fix
> could go through your tree but if you prefer I can push it through
> Ingo to the context tracking bits.
>
> Just tell me either way.

Frederic, I suggest you queue it directly for v3.12-rc.  Thanks,

Kevin